Skip to main content
PATCH
/
workspaces
/
{id}
Partially update a workspace
curl --request PATCH \
  --url https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Workspace Name",
  "webhook_enabled": true
}
'
import requests

url = "https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}"

payload = {
"name": "Updated Workspace Name",
"webhook_enabled": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Workspace Name', webhook_enabled: true})
};

fetch('https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "protected": true,
  "api_key": "<string>",
  "created_date": "2023-11-07T05:31:56Z",
  "updated_date": "2023-11-07T05:31:56Z",
  "webhook_enabled": true,
  "webhook_secret": "<string>",
  "webhook_secret_rotated_at": "2023-11-07T05:31:56Z",
  "webhook_secret_created_at": "2023-11-07T05:31:56Z",
  "ignore_company_webhooks": true,
  "icon_url": "https://ielmshcswdhuacyjlpiy.supabase.co/functions/v1/logo/workspace/company-id/workspace-id"
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Workspace ID

Body

application/json
name
string

Workspace name

Maximum string length: 255
webhook_enabled
boolean

Enable or disable workspace-level webhooks. Auto-generates a webhook secret on first enable.

ignore_company_webhooks
boolean

If true, company-level webhooks will not fire for events in this workspace.

Response

Workspace updated successfully

id
string<uuid>

Unique identifier for the workspace

name
string

Workspace name

Maximum string length: 255
protected
boolean

Protected workspaces cannot be deleted

api_key
string | null

Unique API key for this workspace. Used for authenticating API requests scoped to this workspace.

created_date
string<date-time>

Workspace creation timestamp

updated_date
string<date-time>

Workspace last update timestamp

webhook_enabled
boolean

Whether workspace-level webhooks are enabled

webhook_secret
string | null

Webhook signing secret for this workspace

webhook_secret_rotated_at
string<date-time> | null

Timestamp of the last webhook secret rotation

webhook_secret_created_at
string<date-time> | null

Timestamp when the webhook secret was first created

ignore_company_webhooks
boolean

When true, company-level webhooks do not fire for events in this workspace

icon_url
string<uri> | null

Publicly accessible URL to the workspace logo image. Returns the workspace-specific logo, or null if not set (company logo is NOT included as fallback in this field).

Example:

"https://ielmshcswdhuacyjlpiy.supabase.co/functions/v1/logo/workspace/company-id/workspace-id"